export const demoTrace = {
  "trigger/2": {},
  "condition/0": {},
  "condition/1": {},
  "condition/2": {},
  "action/0": {},
  "action/1": { result: true },
  "action/2": {},
  "action/3": {},
  "action/4": {},
  "action/5": { repeats: 1 },
  "action/5/sequence/0": {},
  "action/5/sequence/1": {},
  "action/6": {},
  "action/6/": {},
  "action/6/choose/2": {},
  "action/6/choose/2/sequence/0": {},
  "action/6/choose/2/sequence/1": {},
};

export const demoConfig = {
  trigger: ["trigger1", "trigger2", "trigger3"],
  condition: ["a", "b", "c"],
  action: [
    {
      service: "light.turn_on",
      data: {
        entity_id: "group.bedroom",
        brightness: 100,
      },
    },
    {
      condition: "state",
      entity_id: "device_tracker.paulus",
      state: "home",
    },
    {
      delay: "01:00",
    },
    {
      wait_template: "{{ is_state(media_player.floor', 'stop') }}",
    },
    {
      event: "LOGBOOK_ENTRY",
      event_data: {
        name: "Paulus",
        message: "is waking up",
        entity_id: "device_tracker.paulus",
        domain: "light",
      },
    },
    {
      repeat: {
        count: "5",
        sequence: [
          {
            delay: 2,
          },
          {
            service: "light.toggle",
            data: {
              entity_id: "light.bed_light",
            },
          },
        ],
      },
    },
    {
      choose: [
        {
          conditions: [],
          sequence: [
            { service: "test" },
            { service: "test" },
            { service: "test" },
          ],
        },
        {
          conditions: [],
          sequence: [{ service: "test" }],
        },
        {
          conditions: [],
          sequence: [{ service: "test" }, { service: "test" }],
        },
      ],
      default: [{ service: "test" }, { service: "test" }, { service: "test" }],
    },
  ],
};
